#ifndef VISUALIZED_H_
#define VISUALIZED_H_

/**
 * An interface for all objects which should be visualized as part of the simulation
 */
class Visualized
{
public:
	virtual ~Visualized() {};
	
	/**
	 * Performs visualization. Respective child classes need to implement themselves.
	 */
	virtual void visualize() = 0;
};

#endif /*VISUALIZED_H_*/
